RARPD(8)

NAME
rarpd - reverse ARP daemon

SYNOPSIS
rarpd [-adflt] if0 [... ifN]

DESCRIPTION
rarpd services Reverse ARP requests on the Ethernet connected to the specified interfaces. Upon receiving a request, rarpd maps the target hardware address to an IP address via its name, which must be present in both the ethers(5) and hosts(5) databases. If a host does not exist in both databases, the translation cannot proceed and a reply will not be sent.

In normal operation, rarpd forks a copy of itself and runs in the background. Anomalies and errors are reported via syslog(3).

The options are as follows:

-a  Listen on all the Ethernets attached to the system. If -a is omitted, a list of interfaces must be specified.

-d  Run in debug mode, with all the output to stderr. This option implies the -f option.

-f  Run in the foreground.

-l  Log all requests to syslog(3).

-t  Only honour a request if the server (the host that rarpd is running on) can "boot" the target; that is, if a file or directory called /tftpboot/ipaddr exists, where ipaddr is the target IP address expressed in uppercase hexadecimal (only the first 8 characters of filenames are checked).

FILES
/etc/ethers
    Ethernet host name database.
/etc/hosts
    Host name database.
/var/run/rarpd.pid
    Process ID of rarpd.

SEE ALSO
bpf(4), diskless(8) A Reverse Address Resolution Protocol, RFC 903, Finlayson, R., Mann, T., Mogul, J.C., Theimer, M..

AUTHORS
Craig Leres (leres@ee.lbl.gov) and Steven McCanne (mccanne@ee.lbl.gov). Lawrence Berkeley Laboratory, University of California, Berkeley, CA.